Bug 7323 - Regression on GPO handling: GPMC keeps on telling that the ACL on files are not good enough
Regression on GPO handling: GPMC keeps on telling that the ACL on files are n...
Status: RESOLVED FIXED
Product: Samba 4.0
Classification: Unclassified
Component: AD: LDB/DSDB/SAMDB
unspecified
Other Linux
: P3 normal
: ---
Assigned To: Andrew Bartlett
samba4-qa@samba.org
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-03 05:38 UTC by Matthieu Patou
Modified: 2010-05-09 02:10 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Matthieu Patou 2010-04-03 05:38:45 UTC
When using a recent samba 4 version with gpmc I keep having the message the ACL of the files are not ok do you want to fix them yes/no. After clicking yes I still have the same error.

I have also the same error when creating a new GPO. It most probably a DS error that is returning something wrong as the FS acl are good and quite sensible.
Comment 1 Matthias Dieter Wallnöfer 2010-04-17 07:50:35 UTC
Nadia, are you aware of such a bug (could the DS ACLs be the problem)?
Comment 2 Nadezhda Ivanova 2010-04-17 08:24:35 UTC
(In reply to comment #1)
> Nadia, are you aware of such a bug (could the DS ACLs be the problem)?
> 

It is possible, I'll take a look.
Comment 3 Matthieu Patou 2010-05-08 17:35:09 UTC
This bug could be closed it's not true any more. The fact is that ACLs on sysvol\<domain> and sysvol\<domain>\Policies have to be correct (and consistent) for gpmc to be happy (even if the acls are ok on the GPO folder ...)
Comment 4 Matthias Dieter Wallnöfer 2010-05-09 02:10:13 UTC
Thanks for your comment, ekacnet.